Codeforces Round #553 (Div. 2)

2023-11-07

A. Maxim and Biology

time limit per test

1 second

memory limit per test

256 megabytes

input

standard input

output

standard output

Today in the scientific lyceum of the Kingdom of Kremland, there was a biology lesson. The topic of the lesson was the genomes. Let's call the genome the string "ACTG".

Maxim was very boring to sit in class, so the teacher came up with a task for him: on a given string ?s consisting of uppercase letters and length of at least 44, you need to find the minimum number of operations that you need to apply, so that the genome appears in it as a substring. For one operation, you can replace any letter in the string ?s with the next or previous in the alphabet. For example, for the letter "D" the previous one will be "C", and the next — "E". In this problem, we assume that for the letter "A", the previous one will be the letter "Z", and the next one will be "B", and for the letter "Z", the previous one is the letter "Y", and the next one is the letter "A".

Help Maxim solve the problem that the teacher gave him.

A string ?a is a substring of a string ?b if ?a can be obtained from ?b by deletion of several (possibly, zero or all) characters from the beginning and several (possibly, zero or all) characters from the end.

Input

The first line contains a single integer ?n (4≤?≤504≤n≤50) — the length of the string ?s.

The second line contains the string ?s, consisting of exactly ?n uppercase letters of the Latin alphabet.

Output

Output the minimum number of operations that need to be applied to the string ?s so that the genome appears as a substring in it.

简单模拟,签到题。

#include <iostream>
#include <cstdio>
#include <cmath>
#include <string>
#include <cstring>
#include <algorithm>
#include <limits>
#include <vector>
#include <stack>
#include <queue>
#include <set>
#include <map>
#define lowbit(x) ( x&(-x) )
#define pi 3.141592653589793
#define e 2.718281828459045
#define esp 1e-6
#define INF 0x3f3f3f3f
#define HalF (l + r)>>1
#define lsn rt<<1
#define rsn rt<<1|1
#define Lson lsn, l, mid
#define Rson rsn, mid+1, r
#define QL Lson, ql, qr
#define QR Rson, ql, qr
#define myself rt, l, r
using namespace std;
typedef unsigned long long ull;
typedef long long ll;
int N;
const int maxN = 105;
char s[maxN], a[maxN];
int solve(int x)
{
    int ans = 0;
    ans += min(abs('A' - a[x]), 26 - abs('A' - a[x]));
    ans += min(abs('C' - a[x + 1]), 26 - abs('C' - a[x + 1]));
    ans += min(abs('T' - a[x + 2]), 26 - abs('T' - a[x + 2]));
    ans += min(abs('G' - a[x + 3]), 26 - abs('G' - a[x + 3]));
    return ans;
}
int main()
{
    scanf("%d", &N);
    scanf("%s", a + 1);
    int ans = INF;
    for(int i=1; i<=N - 3; i++)
    {
        ans = min(ans, solve(i));
    }
    printf("%d\n", ans);
    return 0;
}

B. Dima and a Bad XOR

time limit per test

1 second

memory limit per test

256 megabytes

input

standard input

output

standard output

Student Dima from Kremland has a matrix ?a of size ?×?n×m filled with non-negative integers.

He wants to select exactly one integer from each row of the matrix so that the bitwise exclusive OR of the selected integers is strictly greater than zero. Help him!

Formally, he wants to choose an integers sequence ?1,?2,…,??c1,c2,…,cn (1≤??≤?1≤cj≤m) so that the inequality ?1,?1⊕?2,?2⊕…⊕??,??>0a1,c1⊕a2,c2⊕…⊕an,cn>0holds, where ??,?ai,j is the matrix element from the ?i-th row and the ?j-th column.

Here ?⊕?x⊕y denotes the bitwise XOR operation of integers ?x and ?y.

Input

The first line contains two integers ?n and ?m (1≤?,?≤5001≤n,m≤500) — the number of rows and the number of columns in the matrix ?a.

Each of the next ?n lines contains ?m integers: the ?j-th integer in the ?i-th line is the ?j-th element of the ?i-th row of the matrix ?a, i.e. ??,?ai,j (0≤??,?≤10230≤ai,j≤1023).

Output

If there is no way to choose one integer from each row so that their bitwise exclusive OR is strictly greater than zero, print "NIE".

Otherwise print "TAK" in the first line, in the next line print ?n integers ?1,?2,…??c1,c2,…cn (1≤??≤?1≤cj≤m), so that the inequality ?1,?1⊕?2,?2⊕…⊕??,??>0a1,c1⊕a2,c2⊕…⊕an,cn>0 holds.

If there is more than one possible answer, you may output any.

记忆化搜索

  一共就是2^10-1的最大的数,也就是说,二进制上最多也就是利用2^0 ~ 2^9,那么我们可以对每一位去锁定一个0、1情况,以此跑下去即可,期间可以用记忆化来优化时间,虽然没试过去掉记忆化会不会T。然后,遇到true情况,就入栈即可,回头从栈顶开始输出。

#include <iostream>
#include <cstdio>
#include <cmath>
#include <string>
#include <cstring>
#include <algorithm>
#include <limits>
#include <vector>
#include <stack>
#include <queue>
#include <set>
#include <map>
#define lowbit(x) ( x&(-x) )
#define pi 3.141592653589793
#define e 2.718281828459045
#define esp 1e-6
#define INF 0x3f3f3f3f
#define HalF (l + r)>>1
#define lsn rt<<1
#define rsn rt<<1|1
#define Lson lsn, l, mid
#define Rson rsn, mid+1, r
#define QL Lson, ql, qr
#define QR Rson, ql, qr
#define myself rt, l, r
using namespace std;
typedef unsigned long long ull;
typedef long long ll;
const int maxN = 505, maxE = 1e5 + 7;
int N, M, a[maxN][maxN], ans[maxN], tot, mp[maxN][12][2];
int dp[12][maxN][2];
/*struct Eddge
{
    int nex, to;
    Eddge(int a=-1, int b=0):nex(a), to(b) {}
}edge[maxE];
inline void addEddge(int u, int v)
{
    edge[cnt] = Eddge(head[u], v);
    head[u] = cnt++;
}*/
bool dfs(int u, int deep, int now)
{
    if(dp[u][deep][now] ^ -1) return dp[u][deep][now] == 1;
    if(deep == N && now) return true;
    if(deep == N) return false;
    if(mp[deep + 1][u][0])
    {
        dp[u][deep][now] = dfs(u, deep + 1, now ^ 0);
        if(dp[u][deep][now])
        {
            ans[++tot] = mp[deep + 1][u][0];
            return true;
        }
    }
    if(mp[deep + 1][u][1])
    {
        dp[u][deep][now] = dfs(u, deep + 1, now ^ 1);
        if(dp[u][deep][now])
        {
            ans[++tot] = mp[deep + 1][u][1];
            return true;
        }
    }
    return false;
}
inline void init()
{
    memset(mp, 0, sizeof(mp));
    memset(dp, -1, sizeof(dp));
}
int main()
{
    scanf("%d%d", &N, &M);
    tot = 0;
    init();
    for(int i=1; i<=N; i++) for(int j=1; j<=M; j++)
    {
        scanf("%d", &a[i][j]);
        for(int wi=0; wi<=9; wi++)
        {
            if( (a[i][j] >> wi) & 1) mp[i][wi][1] = j;
            else mp[i][wi][0] = j;
        }
    }
    for(int i=0; i<=9; i++)
    {
        if(mp[1][i][0] && dfs(i, 1, 0))
        {
            ans[++tot] = mp[1][i][0];
            printf("TAK\n");
            for(int i=tot; i>=1; i--) printf("%d%c", ans[i], i==1?'\n':' ');
            return 0;
        }
        if(mp[1][i][1] && dfs(i, 1, 1))
        {
            ans[++tot] = mp[1][i][1];
            printf("TAK\n");
            for(int i=tot; i>=1; i--) printf("%d%c", ans[i], i==1?'\n':' ');
            return 0;
        }
    }
    printf("NIE\n");
    return 0;
}

C. Problem for Nazar

time limit per test

1 second

memory limit per test

256 megabytes

input

standard input

output

standard output

Nazar, a student of the scientific lyceum of the Kingdom of Kremland, is known for his outstanding mathematical abilities. Today a math teacher gave him a very difficult task.

Consider two infinite sets of numbers. The first set consists of odd positive numbers (1,3,5,7,…1,3,5,7,…), and the second set consists of even positive numbers (2,4,6,8,…2,4,6,8,…). At the first stage, the teacher writes the first number on the endless blackboard from the first set, in the second stage — the first two numbers from the second set, on the third stage — the next four numbers from the first set, on the fourth — the next eight numbers from the second set and so on. In other words, at each stage, starting from the second, he writes out two times more numbers than at the previous one, and also changes the set from which these numbers are written out to another.

The ten first written numbers: 1,2,4,3,5,7,9,6,8,101,2,4,3,5,7,9,6,8,10. Let's number the numbers written, starting with one.

The task is to find the sum of numbers with numbers from ?l to ?r for given integers ?l and ?r. The answer may be big, so you need to find the remainder of the division by 10000000071000000007 (109+7109+7).

Nazar thought about this problem for a long time, but didn't come up with a solution. Help him solve this problem.

Input

The first line contains two integers ?l and ?r (1≤?≤?≤10181≤l≤r≤1018) — the range in which you need to find the sum.

Output

Print a single integer — the answer modulo 10000000071000000007 (109+7109+7).

规律题

  不难发现,我们可以将时间优化至O(logN),可以不断的去减去2^K次,直到不能再减去2^K为止,我们再进行一个额外的加即可。期间注意大数的乘,不要超过了long long,对于尤其是最后额外加的时候,要注意多余项。

#include <iostream>
#include <cstdio>
#include <cmath>
#include <string>
#include <cstring>
#include <algorithm>
#include <limits>
#include <vector>
#include <stack>
#include <queue>
#include <set>
#include <map>
#define lowbit(x) ( x&(-x) )
#define pi 3.141592653589793
#define e 2.718281828459045
#define esp 1e-6
#define INF 0x3f3f3f3f
#define HalF (l + r)>>1
#define lsn rt<<1
#define rsn rt<<1|1
#define Lson lsn, l, mid
#define Rson rsn, mid+1, r
#define QL Lson, ql, qr
#define QR Rson, ql, qr
#define myself rt, l, r
using namespace std;
typedef unsigned long long ull;
typedef long long ll;
const ll mod = 1e9 + 7;
ll L, R;
ll solve(ll id)
{
    if(!id) return 0;
    if(id == 1) return 1;
    ll ans = 1, ji = 1, ou = 0, tot = 1;  //奇数、偶数,目前的值
    id --;
    int flag = 1;
    while((1LL << tot) <= id)
    {
        flag ^= 1;
        id -= (1LL << tot);
        if(!flag)
        {
            ans += ( ((ou + ( (1LL << tot)%mod ) + 1LL)%mod) * ( (1LL << tot)%mod))%mod;
            ou = ou + (2LL * ((1LL << tot)%mod)%mod);
            ou %= mod;  //注意点
        }
        else
        {
            ans += ( ((ji + ( (1LL << tot)%mod ) + 1LL)%mod) * ( (1LL << tot)%mod))%mod;
            ji = ji + (2LL * ((1LL << tot)%mod)%mod);
            ji %= mod;  //注意点
        }
        ans %= mod;
        tot++;
    }
    if(id)
    {
        flag ^= 1;
        if(!flag)
        {
            ans += ((ou + 1LL + id) % mod) * (id%mod) % mod;
        }
        else
        {
            ans += ((ji + 1LL + id) % mod) * (id%mod) % mod;
        }
        ans %= mod;
    }
    return ans;
}
int main()
{
    scanf("%lld%lld", &L, &R);
    printf("%lld\n", ( solve(R) - solve(L - 1) + mod ) % mod);
    return 0;
}

D. Stas and the Queue at the Buffet

time limit per test

1 second

memory limit per test

256 megabytes

input

standard input

output

standard output

During a break in the buffet of the scientific lyceum of the Kingdom of Kremland, there was formed a queue of ?n high school students numbered from 11 to ?n. Initially, each student ?i is on position ?i. Each student ?i is characterized by two numbers — ??ai and ??bi. Dissatisfaction of the person ?i equals the product of ??ai by the number of people standing to the left of his position, add the product ??bi by the number of people standing to the right of his position. Formally, the dissatisfaction of the student ?i, which is on the position ?j, equals ??⋅(?−1)+??⋅(?−?)ai⋅(j−1)+bi⋅(n−j).

The director entrusted Stas with the task: rearrange the people in the queue so that minimize the total dissatisfaction.

Although Stas is able to solve such problems, this was not given to him. He turned for help to you.

Input

The first line contains a single integer ?n (1≤?≤1051≤n≤105) — the number of people in the queue.

Each of the following ?n lines contains two integers ??ai and ??bi (1≤??,??≤1081≤ai,bi≤108) — the characteristic of the student ?i, initially on the position ?i.

Output

Output one integer — minimum total dissatisfaction which can be achieved by rearranging people in the queue.

贪心

  我们要知道贪心的策略,就可以从将(a, b)和(x, y)谁放在(i)位置和谁放在(i+1)位置来想,为了使得(a, b)放在(i)位置更优,就是需要a*(i - 1) + b * (N - i) + x*(i) + y*(N - i - 1) < a*(i) + b*(N - i - 1) + x*(i - 1) + y*(N - i),然后以化简得到的答案为排序的要求对所有的这样的对排序即可。

#include <iostream>
#include <cstdio>
#include <cmath>
#include <string>
#include <cstring>
#include <algorithm>
#include <limits>
#include <vector>
#include <stack>
#include <queue>
#include <set>
#include <map>
#define lowbit(x) ( x&(-x) )
#define pi 3.141592653589793
#define e 2.718281828459045
#define esp 1e-6
#define INF 0x3f3f3f3f
#define HalF (l + r)>>1
#define lsn rt<<1
#define rsn rt<<1|1
#define Lson lsn, l, mid
#define Rson rsn, mid+1, r
#define QL Lson, ql, qr
#define QR Rson, ql, qr
#define myself rt, l, r
using namespace std;
typedef unsigned long long ull;
typedef long long ll;
const int maxN = 1e5 + 7;
int N;
struct node
{
    ll a, b;
}x[maxN];
//bool cmp(node e1, node e2) { return e1.a * e2.b > e2.a * e1.b; }
//bool cmp(node e1, node e2) { return e1.a == e2.a ? e1.b < e2.b : e1.a > e2.a; }
bool cmp(node e1, node e2) { return e1.b - e1.a + e2.a - e2.b < 0; }
int main()
{
    scanf("%d", &N);
    for(int i=1; i<=N; i++)
    {
        scanf("%lld%lld", &x[i].a, &x[i].b);
    }
    sort(x + 1, x + N + 1, cmp);
    ll ans = 0;
    for(int i=1; i<=N; i++)
    {
        ans += x[i].a * (i - 1) + x[i].b * (N - i);
    }
    printf("%lld\n", ans);
    return 0;
}

 

本文内容由网友自发贡献,版权归原作者所有,本站不承担相应法律责任。如您发现有涉嫌抄袭侵权的内容,请联系:hwhale#tublm.com(使用前将#替换为@)

Codeforces Round #553 (Div. 2) 的相关文章

  • Codeforces Round #774 (Div. 2)(A-C)

    Problem A Codeforces 签到题 xff0c 判断s里面最多能够有多少个 AC代码 pragma GCC optimize 2 pragma GCC optimize 3 pragma GCC optimize 34 Ofa
  • Codeforces Round #706 (Div. 2)

    代码 xff1a span class token macro property span class token directive keyword include span span class token string lt iost
  • Codeforces Round #356 (Div. 1) 题解(待补)

    Bear and Prime 100Bear and Tower of CubesBear and Square GridBear and Chase Bear and Prime 100 This is an interactive pr
  • CodeForces - 954C - Matrix Walk

    坑题 题目 xff1a CodeForces 954C 题意 矩阵的每一元素可以用 Ai j 61 y i 1 43 j 来表示 xff0c xff08 就是二维数组用一维指针表示的方法 xff09 xff0c 给你一个路径序列 xff0c
  • Codeforces Contest #1553 A : Digit Sum 题解

    题目链接 Digit Sum 题面 将上面一大坨翻译一下 xff0c 就是 xff1a 定义函数的数字和 给出 求有多少个满足且 若模余 xff0c 则成立 一开始想是输出的下取整 xff0c 最后的结果 xff1a 没有考虑到的情况 xf
  • codeforces 1326 E.Bombs

    codeforces 1326 E Bombs 题意 xff1a 给定 1 n 1 n 1 n 的排列p q xff0c 将
  • Codeforces Round #677 (Div. 3) 题解

    Codeforces Round 677 Div 3 题解 A Boring Apartments 题目 题解 简单签到题 xff0c 直接数 xff0c 小于这个数的 43 10 43 10 43 1 0 代码 span class to
  • C. Doremy‘s IQ(二分/贪心)

    题目 题意 给定n个任务和艾米的智商q 艾米要按顺序处理这n个任务 每个任务有难度值a i 对于每个任务 艾米可以选择处理 也可以选择不处理 如果艾米当前的智商q大于等于任务a i 则艾米可以直接处理该任务 智商不受任何影响 如果艾米当前的
  • Codeforces Round #808 (Div. 2)C - Doremy‘s IQ

    C Doremy s IQ time limit per test1 second memory limit per test256 megabytes inputstandard input outputstandard output D
  • 动态动态规划(DDP)

    1 Problem E Codeforces 一 题目大意 给你一个无向图 第i和i 1条边的权值是w i 问你每个点不在自己原本的点的代价是多少 会有q组询问 表示修改第i条边的权值 二 解题思路 可以观察到 完成这个操作需要每条边经过两
  • Codeforces Round #589 (Div. 2)【数学 + 构造】

    A题 Distinct Digits 因为数的大小最长也就是5位 所以直接暴力求解即可 复杂度O 5 N include
  • Voting【Codeforces 1251 E1 && E2】【贪心】

    Educational Codeforces Round 75 Rated for Div 2 E2 Now elections are held in Berland and you want to win them More preci
  • Codeforces Round#808 div.1+div.2题解

    视频讲解 BV1ya411S7KF div 2 A Difference Operations 题目大意 给定长度为 n n n 的数组 a a a 可以进行任意次操作 每次操作选择一个整数
  • Day 21 B. T-primes

    Problem We know that prime numbers are positive integers that have exactly two distinct positive divisors Similarly we l
  • 1400*C. No Prime Differences(找规律&数学)

    解析 由于 1 不是质数 所以我们令每一行的数都相差 1 对于行间 分为 n m之中有存在偶数和都为奇数两种情况 如果n m存在偶数 假设m为偶数 如果都为奇数 则 include
  • 1500*B. Coloring(找规律&鸽巢原理)

    include
  • Fix a Tree【Codeforces 699 D】【dfs + 树的性质】

    Codeforces Round 363 Div 2 D 题意 有N个点 每个点i都有一个父节点p i 如果 i p i 则是说明i结点是根结点 现在我们给出这样的1 N的p i 这可能是不合法的 问 我们应该最少改变多少个使它变成一棵合法
  • 【codeforces #290(div 1)】ABC题解

    A Fox And Names time limit per test 2 seconds memory limit per test 256 megabytes input standard input output standard o
  • gym 101512 BAPC 2014 I Interesting Integers

    Problem codeforces com gym 101512 attachments vjudge net contest 186506 problem I Meaning 给出一个 正整数 n 要找尽量小的 a 和 b a lt b
  • Codeforces 1475C. Ball in Berland(二元容斥)

    题目传送门 题意 一个班级有a个男生和b个女生 现在这个班级有k对男女愿意一起出席毕业典礼 这里注意k对男女中可能会有某个男生或女生出现在多个pair中 你从这k对中找出两对 使得这两对中的男生不相同 女生不相同 即一个男生或女生不可能在一

随机推荐

  • 【Linux核心宝典】Linux 系统目录结构详解 - 01

    作者介绍 我是程序员洲洲 一个热爱写作的非著名程序员 CSDN全栈优质领域创作者 华为云博客社区云享专家 阿里云博客社区专家博主 前后端开发 人工智能研究生 公粽号 程序员洲洲 本文专栏 本文收录于洲洲的 Linux系列专栏 欢迎大家关注本
  • Linux服务器添加永久明细路由

    第一步 写入 etc sysconfig static routes文件 默认在 etc sysconifg目录中是没有这个文件的 需要我们手工创建 etc sysconfig static routes any net 192 168 1
  • 计算机毕设(附源码)JAVA-SSM基于协同过滤算法的个性化智能图书推荐系统

    项目运行 环境配置 Jdk1 8 Tomcat7 0 Mysql HBuilderX Webstorm也行 Eclispe IntelliJ IDEA Eclispe MyEclispe Sts都支持 项目技术 SSM mybatis Ma
  • el-cascader数据绑定值原理之展平操作的算法

    需求级联选择器默认选中全部节点 分析 数据绑定值为二维父子节点id同级数组 1 1 1 1 1 1 2 2 1 2 1 1 这种结构 而数据源是树形结构 所以我们把树形结构转换成如上二维数组结构 算法如下 1 options为树形数据 2
  • “OLT”、“ONU”和“PON”分别是什么意思?三者有什么区别?

    OLT optical line terminal 光线路终端 用于连接光纤干线的终端设备 ONU Optical Network Unit 光网络单元 ONU分为有源光网络单元和无源光网络单 一般把装有包括光接收机 上行光发射机 多个桥接
  • Java HotSpot(TM) 64-Bit Server VM warning: INFO: os::commit_memory(0x0000000794500000, 576716800, 0)

    linux基于tomcat部署的web应用程序报 Java HotSpot TM 64 Bit Server VM warning INFO os commit memory 0x0000000794500000 576716800 0 f
  • mysql 'performance_schema'.'session_variables' 问题处理

    今天 升级了mysql 5 7 使用mysql workbench时 处理问题 无法连接mysql服务了 先提示 performance schema session variables 不存在 后来提示结构错误 mysql workben
  • linux系统安全检查

    1 使用 last 命令查看下服务器近期登录的账户记录 确认是否有可疑IP登录过机器 检查说明 攻击者或者恶意软件往往会往系统中注入隐藏的系统账户实施提权或其他破坏性的攻击 解决方法 检查发现有可疑用户时 可使用命令 usermod L 用
  • 【网络安全】命令执行漏洞

    命令执行漏洞 命令执行漏洞原理 危害 检测方法 有回显检测方法 分号 从左到右执行 管道符 将见面命令的输入为后面命令的标准输入 后台任务符号 命令从左到右执行 与 逻辑与 前面命令执行成功后才会执行 或 逻辑或 前面执行失败才能执行 反引
  • Java初学疑问之接口为什么能运行Object的方法

    public class CommonTest public static void main String args Animal animal new Dog animal toString 为什么能运行该方法 class Dog im
  • 通过清华大学镜像和pip进行安装

    通过清华大学镜像和pip进行安装 有时候网络不佳时 直接通过pip安装可能会很慢或者不成功 因此可以借助清华镜像 可以在使用pip的时候加参数 i https pypi tuna tsinghua edu cn simple 以gensim
  • 前端实战:小实例1——导航栏

    前言 一个导航栏可看作一个列表 在 HTML 使用 ul 标签和 li 标签元素进行结构表示 在 CSS 中进行样式处理 对应标签元素的具体用法可查看 HTML常见标签介绍 实现思路 使用 div 包装导航栏 用 ul 和 li 标签展示导
  • EasyPoi 数据导入导出,贼方便

    1 maven坐标
  • 银行卡编码规则及检验算法详解

    一 银行卡结构 XXXXXX XXXXXXXXXXXX X 发卡行标识代码 自定义位 校验码 根据ISO标准 银行卡长度一般在13 19位 国际上也有12位的 银联标准卡卡长度一般是在16 19位 双组织卡也有13 19位的 二 发卡行标识
  • grid - 显式网格

    显式网格布局包含 行 列 列 grid template columns page color fff grid padding 1 display grid grid gap 1px grid template rows 50px 100
  • 养生指南 4 : 睡眠 与 外因

    参考 老中医给的100条养生建议 强烈推荐 1 睡眠 1 睡觉 是养生第一要素 睡觉的时间 应该是 晚 21 00 早3 00 因为这个时间是一天的 冬季 冬季主藏 冬季不藏 春夏不长 即第 2 天没精神 早起如在寅时三点至五点 此时切忌郁
  • Python数据分析与可视化------NumPy第三方库

    目录 数据的维度 NumPy CSV文件 多维数据的存取 NumPy的便捷式文件截取 NumPy的随机数函数子库 NumPy的统计函数 NumBy的梯度函数 图像的数组表示 图像的变换 数据的维度 维度 一组数据的组织形式 一维数据 由对等
  • 1.出现需要keil突破内存限制

    出现 error L6050U The code size of this image 37186 bytes exceeds the maximum allowed for this version of the linker 是因为超出
  • openlayers绘制圆形区域,消除误差的一种方法

    我需要以某点为圆心 以某长度 单位米 为半径 在地图上绘制圆形区域 前提 地图显示 图层和数据源的创建与设置方法这里就不详细描述了 直接上关键部分 一开始 我使用如下代码实现圆形区域的绘制 绘制以坐标 1 1 为中心 200000米为半径的
  • Codeforces Round #553 (Div. 2)

    A Maxim and Biology time limit per test 1 second memory limit per test 256 megabytes input standard input output standar